Index: GraphicsMagick-1.2.5/config/delegates.mgk.in
===================================================================
--- GraphicsMagick-1.2.5.orig/config/delegates.mgk.in	2018-08-22 16:58:15.475087278 +0200
+++ GraphicsMagick-1.2.5/config/delegates.mgk.in	2018-08-22 16:58:17.607098071 +0200
@@ -78,22 +78,8 @@
   <delegate decode="dvi" command='"@DVIDecodeDelegate@" -q -o "%o" "%i"' />
   <delegate decode="edit" stealth="True" command='"@EditorDelegate@" -title "Edit Image Comment" -e vi "%o"' />
   <delegate decode="emf" command='"@WMFDecodeDelegate@" -o "%o" "%i"' />
-  <delegate decode="eps" encode="pdf" mode="bi" command='"@PSDelegate@" -q -dBATCH  -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSPDFDevice@ "-sOutputFile=%o" -- "%i" -c quit' />
-  <delegate decode="eps" encode="ps" mode="bi" command='"@PSDelegate@" -q -dBATCH  -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSPSDevice@ "-sOutputFile=%o" -- "%i" -c quit' />
   <delegate decode="fig" command='"@FIGDecodeDelegate@" -L ps "%i" "%o"' />
 
-  <!-- Read monochrome Postscript, EPS, and PDF  -->
-  <delegate decode="gs-mono" stealth="True" command='"@PSDelegate@" -q -dBATCH  -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSMonoDevice@ -dTextAlphaBits=%u -dGraphicsAlphaBits=%u -g%s -r%s %s "-sOutputFile=%s" -- "%s" -c quit' />
-
-  <!-- Read grayscale Postscript, EPS, and PDF  -->
-  <delegate decode="gs-gray" stealth="True" command='"@PSDelegate@" -q -dBATCH  -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSGrayDevice@ -dTextAlphaBits=%u -dGraphicsAlphaBits=%u -g%s -r%s %s "-sOutputFile=%s" -- "%s" -c quit' />
-
-  <!-- Read color Postscript, EPS, and PDF  -->
-  <delegate decode="gs-color" stealth="True" command='"@PSDelegate@" -q -dBATCH  -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSColorDevice@ -dTextAlphaBits=%u -dGraphicsAlphaBits=%u -g%s -r%s %s "-sOutputFile=%s" -- "%s" -c quit' />
-
-  <!-- Read color+alpha Postscript, EPS, and PDF  -->
-  <delegate decode="gs-color+alpha" stealth="True" command='"@PSDelegate@" -q  -dSAFER -dBATCH -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSColorAlphaDevice@ -dTextAlphaBits=%u -dGraphicsAlphaBits=%u -g%s -r%s %s "-sOutputFile=%s" -- "%s" -c quit' />
-
   <delegate decode="hpg" command='"@HPGLDecodeDelegate@" -q -m eps -f `basename "%o"` "%i" && mv -f `basename "%o"` "%o"' />
   <delegate decode="hpgl" command='"@HPGLDecodeDelegate@" -q -m eps -f `basename "%o"` "%i" && mv -f `basename "%o"` "%o"' />
   <!-- Read HTML file  -->
@@ -105,10 +91,6 @@
   <delegate decode="mpeg" command='"@MPEGDecodeDelegate@" -q -b "%i" -f -o3 "%u%%05d"; @GMDelegate@ convert -temporary "%u*.ppm" "miff:%o" ; rm -f "%u"*.ppm ' />
   <!-- Write MPEG file using mpeg2encode -->
   <delegate encode="mpeg-encode" stealth="True" command='"@MPEGEncodeDelegate@" "%i" "%o"' />
-  <!-- Convert PDF to Encapsulated Poscript using Ghostscript -->
-  <delegate decode="pdf" encode="eps" mode="bi" command='"@PSDelegate@" -q -dBATCH -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSEPSDevice@ "-sOutputFile=%o" -- "%i" -c quit' />
-  <!-- Convert PDF to Postcript using Ghostscript -->
-  <delegate decode="pdf" encode="ps" mode="bi" command='"@PSDelegate@" -q -dBATCH -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSPSDevice@ "-sOutputFile=%o" -- "%i" -c quit' />
   <!-- Convert PNM file to ILBM format using ppmtoilbm -->
   <delegate decode="pnm" encode="ilbm" mode="encode" command='"@ILBMEncodeDelegate@" -24if "%i" > "%o"' />
   <delegate decode="pnm" encode="launch" mode="encode" command='"@LaunchDelegate@" "%i"' />
@@ -116,8 +98,6 @@
   <!-- Read Persistance Of Vision file using povray  -->
   <delegate decode="pov" command='@POVDelegate@ "+i"%i"" +o"%o" +fn%q +w%w +h%h +a -q9 -kfi"%s" -kff"%n"
     "@GMDelegate@" convert -adjoin "%o*.png" "%o"' />
-  <delegate decode="ps" encode="eps" mode="bi" command='"@PSDelegate@" -q -dBATCH -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSEPSDevice@ "-sOutputFile=%o" -- "%i" -c quit' />
-  <delegate decode="ps" encode="pdf" mode="bi" command='"@PSDelegate@" -q -dBATCH -dSAFER -dMaxBitmap=50000000 -dNOPAUSE -sDEVICE=@GSPDFDevice@ "-sOutputFile=%o" -- "%i" -c quit' />
   <delegate decode="ps" encode="print" mode="encode" command='"@PrintDelegate@" "%i"' />
   <!-- Read Radiance file using ra_ppm -->
   <delegate decode="rad" command='"@RADDecodeDelegate@" -g 1.0 "%i" "%o"' />
Index: GraphicsMagick-1.2.5/Makefile.in
===================================================================
--- GraphicsMagick-1.2.5.orig/Makefile.in	2008-07-25 02:40:47.000000000 +0200
+++ GraphicsMagick-1.2.5/Makefile.in	2018-08-22 16:57:46.026938223 +0200
@@ -3527,14 +3527,6 @@ TESTS_TESTS = \
 	tests/rwblob_DPX_gray.sh \
 	tests/rwblob_DPX_pallette.sh \
 	tests/rwblob_DPX_truecolor.sh \
-	tests/rwblob_EPDF_bilevel.sh \
-	tests/rwblob_EPDF_gray.sh \
-	tests/rwblob_EPDF_pallette.sh \
-	tests/rwblob_EPDF_truecolor.sh \
-	tests/rwblob_EPT_bilevel.sh \
-	tests/rwblob_EPT_gray.sh \
-	tests/rwblob_EPT_pallette.sh \
-	tests/rwblob_EPT_truecolor.sh \
 	tests/rwblob_FAX_bilevel.sh \
 	tests/rwblob_FAX_gray.sh \
 	tests/rwblob_FAX_pallette.sh \
@@ -3730,48 +3722,6 @@ TESTS_TESTS = \
 	tests/rwfile_DPX_truecolor12.sh \
 	tests/rwfile_DPX_truecolor16.sh \
 	tests/rwfile_DPX_truecolor.sh \
-	tests/rwfile_EPDF_bilevel.sh \
-	tests/rwfile_EPDF_gray.sh \
-	tests/rwfile_EPDF_pallette.sh \
-	tests/rwfile_EPDF_truecolor10.sh \
-	tests/rwfile_EPDF_truecolor12.sh \
-	tests/rwfile_EPDF_truecolor16.sh \
-	tests/rwfile_EPDF_truecolor.sh \
-	tests/rwfile_EPI_bilevel.sh \
-	tests/rwfile_EPI_gray.sh \
-	tests/rwfile_EPI_pallette.sh \
-	tests/rwfile_EPI_truecolor10.sh \
-	tests/rwfile_EPI_truecolor12.sh \
-	tests/rwfile_EPI_truecolor16.sh \
-	tests/rwfile_EPI_truecolor.sh \
-	tests/rwfile_EPS_bilevel.sh \
-	tests/rwfile_EPSF_bilevel.sh \
-	tests/rwfile_EPSF_gray.sh \
-	tests/rwfile_EPSF_pallette.sh \
-	tests/rwfile_EPSF_truecolor10.sh \
-	tests/rwfile_EPSF_truecolor12.sh \
-	tests/rwfile_EPSF_truecolor16.sh \
-	tests/rwfile_EPSF_truecolor.sh \
-	tests/rwfile_EPS_gray.sh \
-	tests/rwfile_EPSI_bilevel.sh \
-	tests/rwfile_EPSI_gray.sh \
-	tests/rwfile_EPSI_pallette.sh \
-	tests/rwfile_EPSI_truecolor10.sh \
-	tests/rwfile_EPSI_truecolor12.sh \
-	tests/rwfile_EPSI_truecolor16.sh \
-	tests/rwfile_EPSI_truecolor.sh \
-	tests/rwfile_EPS_pallette.sh \
-	tests/rwfile_EPS_truecolor10.sh \
-	tests/rwfile_EPS_truecolor12.sh \
-	tests/rwfile_EPS_truecolor16.sh \
-	tests/rwfile_EPS_truecolor.sh \
-	tests/rwfile_EPT_bilevel.sh \
-	tests/rwfile_EPT_gray.sh \
-	tests/rwfile_EPT_pallette.sh \
-	tests/rwfile_EPT_truecolor10.sh \
-	tests/rwfile_EPT_truecolor12.sh \
-	tests/rwfile_EPT_truecolor16.sh \
-	tests/rwfile_EPT_truecolor.sh \
 	tests/rwfile_FAX_bilevel.sh \
 	tests/rwfile_FAX_gray.sh \
 	tests/rwfile_FAX_pallette.sh \
@@ -3959,7 +3909,6 @@ TESTS_TESTS = \
 	tests/rwfile_PPM_truecolor12.sh \
 	tests/rwfile_PPM_truecolor16.sh \
 	tests/rwfile_PPM_truecolor.sh \
-	tests/rwfile_PS_bilevel.sh \
 	tests/rwfile_PSD_bilevel.sh \
 	tests/rwfile_PSD_gray.sh \
 	tests/rwfile_PSD_pallette.sh \
@@ -3967,12 +3916,6 @@ TESTS_TESTS = \
 	tests/rwfile_PSD_truecolor12.sh \
 	tests/rwfile_PSD_truecolor16.sh \
 	tests/rwfile_PSD_truecolor.sh \
-	tests/rwfile_PS_gray.sh \
-	tests/rwfile_PS_pallette.sh \
-	tests/rwfile_PS_truecolor10.sh \
-	tests/rwfile_PS_truecolor12.sh \
-	tests/rwfile_PS_truecolor16.sh \
-	tests/rwfile_PS_truecolor.sh \
 	tests/rwfile_PTIF_bilevel.sh \
 	tests/rwfile_PTIF_gray.sh \
 	tests/rwfile_PTIF_pallette.sh \
